/*
Theme Name:     Fiol
Theme URI:      https://fiol.it/
Description:	Hello Elementor Child is a child theme of Hello Elementor, created by Hangar Design Group
Author:         Hangar Design Group
Author URI:     https://hangar.it/
Template:       hello-elementor
Version:        1.0
*/

/* RESET ELEMENTOR */
h1,
h2,
h3,
h4 {
	margin: 0px;
	padding: 0px;
}
p,
b,
a {
	margin: 0px;
	padding: 0px;
}
a:focus {
	outline: 0 !important;
}
input:focus {
	outline: 0 !important;
}
select:focus {
	outline: 0 !important;
}
button:focus {
	outline: 0 !important;
}
span {
	margin: 0px;
	padding: 0px;
}
input,
a,
button,
textarea {
	box-shadow: none !important;
	margin: 0px;
	padding: 0px;
	outline: 0 !important;
}

a,
a:hover {
	color: unset
}

ul {
	padding-inline-start: 13px;
}

.elementor-nav-menu--dropdown a:focus {
	background-color: transparent !important;
}





.txt-alt-bastoni span {
	font-family: gotham, sans-serif;
	font-size: 85%;
}
.txt-alt-graziati span {
	font-family: bodoni-pt-variable, sans-serif;
}








#fiol-open-menu {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	cursor: pointer;
}
#fiol-open-menu div {
	width: 30px;
	height: 1px;
	background: #fff;
	position: relative;
	transition: .5s;
}
#fiol-open-menu div:before {
	content: '';
	width: 30px;
	height: 1px;
	background: #fff;
	position: absolute;
	top: -8px;
	left: 0;
	transition: .5s;
}
#fiol-open-menu div:after {
	content: '';
	width: 30px;
	height: 1px;
	background: #fff;
	position: absolute;
	bottom: -8px;
	left: 0;
	transition: .5s;
}

#fiol-open-menu.active div {
	transform: rotate(45deg);
}
#fiol-open-menu.active div:before {
	top: 0;
	transform: rotate(90deg);
}
#fiol-open-menu.active div:after {
	opacity: 0;
	bottom: 0;
}
#fiol-menu-mobile {
	display: none;
}








#fiol-logo-menu {
	display: none;
	opacity: 0;
	transition: .5s;
	margin-top: 0px;
}
.nav-open #fiol-logo-menu {
	display: block !important;
	opacity: 1;
	margin-top: 50px;
}

.nav-open #fiol-logo-menu svg {
	height: 270px;
}


#fiol-logofiol-menu svg {
	height: 34px;
}
.nav-open #fiol-logofiol-menu svg {
	height: 45px;
}




#fiol-menu-wines {
	display: block;
}
.nav-open #fiol-menu-wines {
	display: none;
}
#fiol-menu-lingue {
	display: none;
}
.nav-open #fiol-menu-lingue {
	display: block;
}





.nav-open::before {
  content: "";
  position: fixed;
  inset: 0;
  background: rgba(29, 59, 16, 0.15);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  z-index: 999;
  pointer-events: none;
}





.fiol-prod-image img {
	padding: 0px;
	transition: .5s;
}
.fiol-prod-container:hover .fiol-prod-image img {
	padding: 30px;
}





.fiol-rituals-box {
	overflow: hidden;
}
.fiol-rituals-box > .e-con {
	transition: transform .5s ease;
	transform-origin: center center;
}
.fiol-rituals-box:hover > .e-con {
	transform: scale(0.90);
}








body.nav-open{
	overflow: hidden;
	touch-action: none;
}

/* blocca interazioni col contenuto */
body.nav-open .site-content{
	pointer-events: none;
	user-select: none;
}

/* menu sempre cliccabile */
body.nav-open #fiol-menu-mobile,
body.nav-open #fiol-open-menu{
	pointer-events: auto;
}


body.nav-open > *:not(header):not(#fiol-menu-mobile) {
	pointer-events: none;
}







.elementor-widget-container,
.wpml-elementor-ls,
.wpml-ls,
.wpml-ls ul,
.wpml-ls li,
.wpml-ls a,
.wpml-ls span {
	margin: 0 !important;
	padding: 0 !important;
	border: 0 !important;
	line-height: 1 !important;
}







/* forza il menu a partire da sinistra */
.elementor-element-de7fcfc.elementor-nav-menu__align-justify 
.elementor-nav-menu--main .elementor-nav-menu {
	justify-content: space-between !important;
}

/* elimina spazi tra le voci */
.elementor-element-de7fcfc .elementor-nav-menu--main .elementor-nav-menu {
	gap: 0 !important;
	margin-left: 0 !important;
	padding-left: 0 !important;
}

/* annulla la larghezza forzata delle voci */
.elementor-element-de7fcfc .elementor-nav-menu--main .elementor-nav-menu > li {
	flex: 0 0 auto !important;
	width: auto !important;
	margin: 0 !important;
}

/* spazio interno dei link */
.elementor-element-de7fcfc .elementor-nav-menu--main .elementor-item {
	padding-left: 0 !important;
	padding-right: 30px !important; /* distanza tra voci */
}

.elementor-nav-menu:after {
	display: none;
}
.elementor-element-de7fcfc .elementor-nav-menu--main .elementor-item {
	padding-left: 0 !important;
	padding-right: 0px !important;
}







/* Contenitore */
.marquee-text {
  overflow: hidden;
  white-space: nowrap;
  width: 100%;
}

/* Elemento che scorre */
.marquee-text .elementor-widget-text-editor {
  display: inline-block;
  white-space: nowrap;
  animation: marqueeMove 15s linear infinite;
  will-change: transform;
}

/* Parte già visibile a sinistra e scorre verso sinistra */
@keyframes marqueeMove {
  0% {
	transform: translateX(0);
  }
  100% {
	transform: translateX(-100%);
  }
}






.fiol-hero-prod {
  height: 250px;
  overflow: hidden;
  transition: height 2.5s cubic-bezier(0.22, 1, 0.36, 1);
}
body.loaded .fiol-hero-prod{
  height: 800px;
}

.fiol-container-prod{
  padding: 40px;
  transition: padding 2.5s ease;
}
body.loaded .fiol-container-prod{
  padding: 0;
}


@media only screen and (max-width: 1024px) {
	
	body.loaded .fiol-hero-prod{
	  height: 500px;
	}
	
}

@media only screen and (max-width: 767px) {
	

	
}